046d:08c6 Clicking sound with USB microphone

Bug #151890 reported by tkenner on 2007-10-12
58
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: linux-image-generic

I've installed ubuntu 7.04 with the following kernel version: 2.6.20-16-generic

When I use the microphone of my built in Logitech Webcam for Skype calls then the other peer hears a clicking sound every second. This happens when recording with, say jokosher as well. See sample sound file as well.

# lsusb

Bus 005 Device 022: ID 046d:08c6 Logitech, Inc.
Bus 005 Device 001: ID 0000:0000
Bus 001 Device 010: ID 1241:1177 Belkin F8E842-DL Mouse
Bus 001 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 029: ID 0a5c:4503 Broadcom Corp.
Bus 002 Device 026: ID 0a5c:4500 Broadcom Corp.
Bus 002 Device 027: ID 413c:8126 Dell Computer Corp.
Bus 002 Device 028: ID 0a5c:4502 Broadcom Corp.
Bus 002 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000

tkenner (thomas-kenner) wrote :
vivienlynn (vivienlynn) wrote :

I got the same problem. but I can't find any solution on google.
not many people have the same problem?

P4man (duvel123) wrote :

I have the same problem with my Logitech Fusion webcam. Its worth noting the webcam doesnt work at all under Ubuntu, the microphone works, but with that clicking sound.
Another USB headset (MS LX-3000) works fine with Ubuntu/Skype.
The same Logitech fusion webcam/microphone works just fine under windows.

I wouldn't hold my breath for a fix for this, but it would be nice, because I don't need the webcam, but would like to use it as microphone.

kwilliam++ (kwilliam++) wrote :

Same issue. Using Logitech QuickCam Deluxe for Notebooks with Skype. Quite annoying for the people I'm trying to talk to. Does not make the clicking noise in Windows. :-/

kwilliam++ (kwilliam++) wrote :

More details: I'm using Kubuntu 8.04 with ALSA version 1.0.16. My Kubuntu installation has been upgraded since Edgy, rather than cleanly installed, so the sound installation is not necessarily identical to a clean time installation. (E.g. pulseaudio doesn't work quite right.) However, that probably doesn't matter if the issue is with the webcam driver, which is likely since all the complaintants cite a Logitech webcam, right? Again, the webcam works fine, but microphone inserts a clicking noise into the recording every second or so.

output from dmesg | tail
[ 8193.268141] usb 5-5: USB disconnect, address 4
[ 8205.869777] usb 5-5: new high speed USB device using ehci_hcd and address 5
[ 8204.246446] usb 5-5: configuration #1 chosen from 1 choice
[ 8204.247258] uvcvideo: Found UVC 1.00 device <unnamed> (046d:09c1)

So I'm assuming the webcam uses the uvcvideo kernel module.

kooseefoo (kooseefoo) wrote :

Bug confirmed in both latest Ubuntu Hardy and in the 2.6.27-7-generic kernel for Ubuntu Intrepid (BETA).

I installed the beta of Intrepid, ran full updates, and installed skype. The clicking problem existed on my Hardy install, and persists in Intrepid.

I was hoping the webcam driver updates in 2.6.27 would help out. Isn't the new gspca driver supposed to be in there now?

Changed in linux-meta:
status: New → Confirmed
mike (ubuntu-holmesfamily) wrote :

I have this problem in 8.10, I experience it via skype or ekiga, I expect it occurs in all cases that use the logitech usb web cameras microphone. Booting to XP removes the problem.

Experiencing the same problem with Intrepid 8.10. Although I think my mic is different:

Bus 001 Device 002: ID 0556:0001 Asahi Kasei Microsystems Co., Ltd AK5370 I/F A/D Converter

Otherwise it's the same problem I'm having with the clicking sound.

Michael Cook (michaelcook-mjc) wrote :

I too hear a click every 3-4secs and have a logitech USB webcam & microphone running on Jaunty 9.04.

Kevin McGehee (kevin-mcgehee) wrote :

My girlfriend and I have the same problem. We both have Logitech USB webcams on Jaunty 9.04.

kwilliam++ (kwilliam++) wrote :

Has anyone checked to see if this is specifically an Ubuntu problem, or if the microphone clicks in *all* Linux distros? It would be interesting if it's JUST Ubuntu.

Nausser (van-brian) wrote :

I am running jaunty 32 bit as well and have a logitech quickcam fusion that works fully under windows, however, only the mic works in jaunty. The clicking/ticking sound is steady ever half second on my machine. Audio is very clearly recorded and transmitted with skype, but the overlaying sound is quite disturbing though.

Andy Whitcroft (apw) wrote :

This is not a bug in the linux-meta package, moving to the linux package.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
vatbier (vatbier) wrote :

Here is the reason of the problem:
http://forum.skype.com/lofiversion/index.php/t98411.html :
QUOTE(punking @ Mon Dec 24 2007, 23:43) [snapback]477926[/snapback]
  Strange clicking sound occurs every second when I speak on the test call. I haven't had chance to try it with a proper
  call. I'm using
  Logitech Quickcam Pro 5000 (using cameras mic)
  Skype (Beta) V 2.0.0.27
Same camera, same problem here. It's not a problem of Skype. I found out, that this is a problem of the camera model which has a firmware bug. As i read, the windows driver uses a pop/click filter that corrects this problem. The solution would be a filter by the alsa project but i doubt they will code this workaround in their driver.

Ask the alsa developers for a fix in the alsa driver here: https://bugtrack.alsa-project.org:443/alsa-bug/view.php?id=4584

vatbier (vatbier) wrote :

http://forums.quickcamteam.net:80/showthread.php?tid=6 :
There actually is some progress on this. Someone is looking into porting the Windows pop/click audio filter to Linux. Updates will be posted when available. :-) 2008-03-13 10:33
...
I've pinged the developer in charge of the port and will post it here if I get any news from him. From what I know nothing has been scrapped.
Posted in 2008-09-29 19:36, almost a year ago. And that was the last message.

kwilliam++ (kwilliam++) wrote :

@vatbier: Thank you for sharing this! It's disheartening to know that the problem is that deep in the hardware, and little progress has been made to port the pop filter. On the other hand, it at least lightens my day to know it is not a bug in any of the open source packages, and hence is not the free software community's fault!

vatbier (vatbier) wrote :

I got an answer at http://forums.quickcamteam.net/showthread.php?tid=855&pid=3271#pid3271 :
Yes, someone was indeed looking at porting the code but it seems he abandoned the project. So, it looks like for these older cameras people are stuck with the click problem. With our newer cameras this has been fixed, however.

So this bug report may be closed.

Now the question for me is whether I want to spend 85 euros on a new Logitech webcam...

tkenner, thank you for reporting this and helping make Ubuntu better. Fiesty reached EOL on October 2008.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue on a supported release? If so, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in a supported release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: fiesty needs-upstream-testing

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC887-VD Analog [ALC887-VD Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu17.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: neudrino 1920 F.... pulseaudio
 /dev/snd/pcmC0D0p: neudrino 1920 F...m pulseaudio
 /dev/snd/controlC1: neudrino 1920 F.... pulseaudio
CRDA:
 country CN:
  (2402 - 2482 @ 40), (N/A, 20)
  (5735 - 5835 @ 40), (N/A, 30)
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7e00000 irq 45'
   Mixer name : 'Realtek ALC887-VD'
   Components : 'HDA:10ec0887,1458a002,00100302'
   Controls : 35
   Simple ctrls : 19
Card1.Amixer.info:
 Card hw:1 'U0x46d0x8ce'/'USB Device 0x46d:0x8ce at usb-0000:00:1d.0-1.6, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:08ce'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 3072
   Mono: Capture 3072 [100%] [30.00dB] [on]
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=d9089c51-7133-48bd-91ce-3758178d0bc6
InstallationMedia: Kubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130214)
MachineType: Gigabyte Technology Co., Ltd. To be filled by O.E.M.
MarkForUpload: True
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=de_DE
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz root=UUID=91bf1563-891e-445d-84d3-07917410382b ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-41.66-generic 3.2.42
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-41-generic N/A
 linux-backports-modules-3.2.0-41-generic N/A
 linux-firmware 1.79.4
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
StagingDrivers: mei
Tags: precise staging
Uname: Linux 3.2.0-41-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 03/23/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F4
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H61MA-D2V
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF4:bd03/23/2012:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnH61MA-D2V:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

tags: added: apport-collected precise staging

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Kubuntu 12.04 LTS still affected.

Neutrino, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug -s audio

For more on this, please see the Ubuntu Audio Team debugging article:
https://wiki.ubuntu.com/DebuggingSoundProblems

the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: needs-kernel-logs
removed: apport-collected precise staging
summary: - Clicking sound with USB microphone
+ 046d:08c6 Clicking sound with USB microphone

I have the same problem on Ubuntu 14.04 using QuickCam Orbit MP

lsusb:
Bus 002 Device 003: ID 046d:08cc Logitech, Inc. Mic (PTZ)

სოლომონ ომსარაშვილი, that's a different device. Hence, it would help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Po-Hsu Lin (cypressyew) wrote :

Closing this bug as it's quite old.

For those who are affected by this, please open a new report with command "ubuntu-bug linux" with a newer release (Bionic 18.04.3 or Disco 19.04)

Thanks

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.